﻿namespace AdrianKousz.GenieEngine
{
	public interface IScnFactory
	{
		Scenario MakeScenario();
		Scenario.ScnPlayerSettings MakePlayerSettings();
		Scenario.ScnMessages MakeMessages();
		Scenario.ScnCinematics MakeCinematics();
		Scenario.ScnGlobalVictory MakeGlobalVictory();
		Scenario.ScnResourceCopy MakeResourceCopy();
		Scenario.ScnMap MakeMap();
		Scenario.ScnUnit MakeUnit();
	}
}
